Bug 7170 - passwd made kernel Oosp!
passwd made kernel Oosp!
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-20 01:21 EST by Minh, Hoang Ng.
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-17 16:53:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Minh, Hoang Ng. 1999-11-20 01:21:01 EST
I'm running RedHat 6.0 kernel 2.2.5-15 SMP on a single PIII 500 Dell
server (this server support multi processor). System use to work well
until in last few days I could not run passwd at all. It will be back to
work if I restart the server but then the problem come back. Think of
maybe something is wrong with passwd package ship with RedHat 6, I updated
the package came with RedHat 6.1 but have the same result. Below is a
sample for what I have in messages file:
--------------------------------
Nov 20 13:04:34 backup1 kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000024
Nov 20 13:04:34 backup1 kernel: current->tss.cr3 = 0daa0000, %cr3 =
0daa0000
Nov 20 13:04:34 backup1 kernel: *pde = 00000000
Nov 20 13:04:34 backup1 kernel: Oops: 0000
Nov 20 13:04:34 backup1 kernel: CPU:    0
Nov 20 13:04:34 backup1 kernel: EIP:    0010:[write_dquot+21/216]
Nov 20 13:04:34 backup1 kernel: EFLAGS: 00010206
Nov 20 13:04:34 backup1 kernel: eax: 00000024   ebx: dc5dea40   ecx:
d1a21b98   edx: 00000000
Nov 20 13:04:34 backup1 kernel: esi: dc5de9e0   edi: ffffffff   ebp:
00000000   esp: cce69f6c
Nov 20 13:04:34 backup1 kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 13:04:34 backup1 kernel: Process passwd (pid: 29439, process nr:
53, stackpage=cce69000)
Nov 20 13:04:34 backup1 kernel: Stack: ffffffff 00000000 0000c1e0 00000000
c0137f20 dc5dea40 00000000 00000000
Nov 20 13:04:34 backup1 kernel:        bfffba38 bffffa38 c0128ab0 00000000
ffffffff 00000000 00000000 00000000
Nov 20 13:04:34 backup1 kernel:        00000000 cce68000 c0128ae3 00000000
cce68000 c0108b6c 40042c88 4003a8a0
Nov 20 13:04:34 backup1 kernel: Call Trace: [sync_dquots+84/116]
[fsync_dev+36/52] [sys_sync+35/56] [system_call+52/56]
Nov 20 13:04:34 backup1 kernel: Code: 8b 34 90 66 8b 43 2c a8 01 74 0d 53
e8 0a ff ff ff 83 c4 04
----------------------------------
Please help.
Minh
Comment 1 Cristian Gafton 2000-02-17 16:53:59 EST
This looks a lot like a hardware problem that you're having - and some memory
corruption that happens as a result and is by chance experienced when running
the passwd binary

If the kernel continues to Oops on you please try the development kernels from
rawhide.

Note You need to log in before you can comment on or make changes to this bug.